<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CCrazyflieBatteryDefaultSensor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html">CCrazyflieBatteryDefaultSensor</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classargos_1_1CCrazyflieBatteryDefaultSensor-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CCrazyflieBatteryDefaultSensor Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="crazyflie__battery__default__sensor_8h_source.html">src/plugins/robots/crazyflie/simulator/crazyflie_battery_default_sensor.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for argos::CCrazyflieBatteryDefaultSensor:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieBatteryDefaultSensor__inherit__graph.png" border="0" usemap="#aargos_1_1CCrazyflieBatteryDefaultSensor_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CCrazyflieBatteryDefaultSensor_inherit__map" id="aargos_1_1CCrazyflieBatteryDefaultSensor_inherit__map">
<area shape="rect" title=" " alt="" coords="66,80,233,121"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
<area shape="rect" title=" " alt="" coords="160,5,296,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CCrazyflieBatteryDefaultSensor:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieBatteryDefaultSensor__coll__graph.png" border="0" usemap="#aargos_1_1CCrazyflieBatteryDefaultSensor_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CCrazyflieBatteryDefaultSensor_coll__map" id="aargos_1_1CCrazyflieBatteryDefaultSensor_coll__map">
<area shape="rect" title=" " alt="" coords="145,185,311,227"/>
<area shape="rect" title=" " alt="" coords="5,89,136,115"/>
<area shape="rect" title=" " alt="" coords="160,89,296,115"/>
<area shape="rect" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html" title=" " alt="" coords="321,81,487,123"/>
<area shape="rect" title=" " alt="" coords="371,5,437,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1852366b7bd7a58714523c59185b3ef8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a1852366b7bd7a58714523c59185b3ef8">CCrazyflieBatteryDefaultSensor</a> ()</td></tr>
<tr class="separator:a1852366b7bd7a58714523c59185b3ef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783baab85ee25207ac776430d38f3528"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a783baab85ee25207ac776430d38f3528">~CCrazyflieBatteryDefaultSensor</a> ()</td></tr>
<tr class="separator:a783baab85ee25207ac776430d38f3528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa41a96152fc57e1056cd3f5af333576c"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aa41a96152fc57e1056cd3f5af333576c">SetRobot</a> (CComposableEntity &amp;c_entity)</td></tr>
<tr class="separator:aa41a96152fc57e1056cd3f5af333576c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3330f0e0ba9fbe91a44c338b284249a1"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a3330f0e0ba9fbe91a44c338b284249a1">Init</a> (TConfigurationNode &amp;t_tree)</td></tr>
<tr class="separator:a3330f0e0ba9fbe91a44c338b284249a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4817bbc56488c5548998ad01d8b4dc30"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a4817bbc56488c5548998ad01d8b4dc30">Update</a> ()</td></tr>
<tr class="separator:a4817bbc56488c5548998ad01d8b4dc30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dc0a9b1b810775e9a764b8fb1419200"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a2dc0a9b1b810775e9a764b8fb1419200">Reset</a> ()</td></tr>
<tr class="separator:a2dc0a9b1b810775e9a764b8fb1419200"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ae112ad402b7d250b0fb5f2cc2fb485c9"><td class="memItemLeft" align="right" valign="top">CEmbodiedEntity *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#ae112ad402b7d250b0fb5f2cc2fb485c9">m_pcEmbodiedEntity</a></td></tr>
<tr class="separator:ae112ad402b7d250b0fb5f2cc2fb485c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a2f97cb7a5a06fa4e1b1c25ff043e6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a57a2f97cb7a5a06fa4e1b1c25ff043e6">m_pcBatteryEntity</a></td></tr>
<tr class="separator:a57a2f97cb7a5a06fa4e1b1c25ff043e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b0d48f541c75bb328df251dd22ff50d"><td class="memItemLeft" align="right" valign="top">CRandom::CRNG *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#a7b0d48f541c75bb328df251dd22ff50d">m_pcRNG</a></td></tr>
<tr class="separator:a7b0d48f541c75bb328df251dd22ff50d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaede1865c7f2f882c388ca48a42fc9d1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#aaede1865c7f2f882c388ca48a42fc9d1">m_bAddNoise</a></td></tr>
<tr class="separator:aaede1865c7f2f882c388ca48a42fc9d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af70597ff5404360a3976d573454eb7a8"><td class="memItemLeft" align="right" valign="top">CRange&lt; Real &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryDefaultSensor.html#af70597ff5404360a3976d573454eb7a8">m_cNoiseRange</a></td></tr>
<tr class="separator:af70597ff5404360a3976d573454eb7a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a1852366b7bd7a58714523c59185b3ef8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1852366b7bd7a58714523c59185b3ef8">&#9670;&nbsp;</a></span>CCrazyflieBatteryDefaultSensor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieBatteryDefaultSensor::CCrazyflieBatteryDefaultSensor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a783baab85ee25207ac776430d38f3528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a783baab85ee25207ac776430d38f3528">&#9670;&nbsp;</a></span>~CCrazyflieBatteryDefaultSensor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual argos::CCrazyflieBatteryDefaultSensor::~CCrazyflieBatteryDefaultSensor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3330f0e0ba9fbe91a44c338b284249a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3330f0e0ba9fbe91a44c338b284249a1">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieBatteryDefaultSensor::Init </td>
          <td>(</td>
          <td class="paramtype">TConfigurationNode &amp;&#160;</td>
          <td class="paramname"><em>t_tree</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2dc0a9b1b810775e9a764b8fb1419200"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dc0a9b1b810775e9a764b8fb1419200">&#9670;&nbsp;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieBatteryDefaultSensor::Reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa41a96152fc57e1056cd3f5af333576c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa41a96152fc57e1056cd3f5af333576c">&#9670;&nbsp;</a></span>SetRobot()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieBatteryDefaultSensor::SetRobot </td>
          <td>(</td>
          <td class="paramtype">CComposableEntity &amp;&#160;</td>
          <td class="paramname"><em>c_entity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4817bbc56488c5548998ad01d8b4dc30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4817bbc56488c5548998ad01d8b4dc30">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieBatteryDefaultSensor::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aaede1865c7f2f882c388ca48a42fc9d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaede1865c7f2f882c388ca48a42fc9d1">&#9670;&nbsp;</a></span>m_bAddNoise</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool argos::CCrazyflieBatteryDefaultSensor::m_bAddNoise</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Whether to add noise or not </p>

</div>
</div>
<a id="af70597ff5404360a3976d573454eb7a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af70597ff5404360a3976d573454eb7a8">&#9670;&nbsp;</a></span>m_cNoiseRange</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CRange&lt;Real&gt; argos::CCrazyflieBatteryDefaultSensor::m_cNoiseRange</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Noise range on battery level </p>

</div>
</div>
<a id="a57a2f97cb7a5a06fa4e1b1c25ff043e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57a2f97cb7a5a06fa4e1b1c25ff043e6">&#9670;&nbsp;</a></span>m_pcBatteryEntity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a>* argos::CCrazyflieBatteryDefaultSensor::m_pcBatteryEntity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reference to battery sensor equipped entity associated to this sensor </p>

</div>
</div>
<a id="ae112ad402b7d250b0fb5f2cc2fb485c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae112ad402b7d250b0fb5f2cc2fb485c9">&#9670;&nbsp;</a></span>m_pcEmbodiedEntity</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CEmbodiedEntity* argos::CCrazyflieBatteryDefaultSensor::m_pcEmbodiedEntity</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reference to embodied entity associated to this sensor </p>

</div>
</div>
<a id="a7b0d48f541c75bb328df251dd22ff50d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b0d48f541c75bb328df251dd22ff50d">&#9670;&nbsp;</a></span>m_pcRNG</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">CRandom::CRNG* argos::CCrazyflieBatteryDefaultSensor::m_pcRNG</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Random number generator </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__battery__default__sensor_8h_source.html">crazyflie_battery_default_sensor.h</a></li>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__battery__default__sensor_8cpp.html">crazyflie_battery_default_sensor.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
